## ubuntu-image 1.11+20.04ubuntu1

=== debian/changelog ===
ubuntu-image (1.11+20.04ubuntu1) focal; urgency=medium

  [ Michael Vogt ]
  * Use "resolved-content" directory provided by newer versions
    of "snap prepare-image". (LP:1636927)

  [ Brian Murray ]
  * Fix a typo in README.rst.

  [ Łukasz 'sil2100' Zemczak ]
  * Add a workaround for mkfs.ext4 forcefully sparsifying our classic image
    swapfile (LP:1900718)
  * Add python3.9 to the test envlists.
  * Minor README fixups and additions, minor test-related compatibility
    changes.

  [ Sebastien Bacher ]
  * setup.py:
    - get the version in a way which is compatible with the current
      python-debian
  * SRU tracking number LP: #1920955

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 25 Mar 2021 14:55:14 +0100

ubuntu-image (1.10+20.04ubuntu1) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * SRU tracking number LP: #1896744
  * Add a quick option to disable console-conf.  (LP:1866002)
  * Disable some of the unsupported features for UC20 models.  (LP:1875431)
    - --disable-console-conf
    - --cloud-init
    - Running the post-populate-rootfs hook.
  * Do not create an empty /boot on the system-seed partition.
  * Switch the approach of building UC20 images to ensure that all partitions
    defined in the gadget are considered in image size calculations.
    (LP:1859973)

  [ Michael Hudson-Doyle ]
  * Add dependency on fdisk now that it is no longer Essential.  (LP:1877485)

  [ Maciej Borzecki ]
  * Do not overwrite the files that snap prepare-image has created.
    (LP:1884247)

  [ Dimitri John Ledkov ]
  * Pacify flake8 in groovy.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Sep 2020 10:20:28 +0200
