## ubuntu-image 1.11+20.04ubuntu1.1

=== debian/changelog ===
ubuntu-image (1.11+20.04ubuntu1.1) focal; urgency=medium

  * Fix autopkgtests failures in d/t/mount due to errors:
    'no snap revision available as specified' (LP: #2044508)
    - d/t/models/*.manifest: add .manifest files for model assertions:
      (from https://cdimage.ubuntu.com/ubuntu-core/16/stable/current )
      - pc-amd64-model.manifest    (ubuntu-core-16-amd64.manifest)
      - dragonboard-model.manifest (ubuntu-core-16-dragonboard.manifest)
      - pc-i386-model.manifest     (ubuntu-core-16-i386.manifest)
      - pi2-model.manifest         (ubuntu-core-16-pi2.manifest)
      - pi3-model.manifest         (ubuntu-core-16-pi3.manifest)
    - d/t/mount: specify snap revisions per the .manifest files

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 24 Nov 2023 07:45:55 -0300
