=== debian/control ===
Source: ubuntu-image
Section: utils
Priority: optional
Maintainer: Lukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dosfstools,
               fdisk | util-linux (<< 2.29.2-3),
               gdisk,
               grub-common,
               livecd-rootfs,
               mtools,
               python3-all,
               python3-attr,
               python3-coverage,
               python3-debian,
               python3-docutils,
               python3-flake8,
               python3-nose2,
               python3-parted,
               python3-pkg-resources,
               python3-setuptools,
               python3-voluptuous,
               python3-yaml,
               snapd (>= 2.38~),
               tox,
Standards-Version: 3.9.8
Homepage: http://launchpad.net/ubuntu-image

Package: ubuntu-image
Architecture: all
Depends: python3-ubuntu-image (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: toolkit for building Ubuntu images.
 .
 This package contains the ubuntu-image program.

Package: python3-ubuntu-image
Architecture: all
Section: python
Depends: ca-certificates,
         dosfstools,
         fdisk | util-linux (<< 2.29.2-3),
         gdisk,
         grub-common,
         livecd-rootfs (>= 2.480),
         fakeroot,
         mtools (>= 4.0.18-2ubuntu0),
         python3-attr,
         python3-parted,
         python3-pkg-resources,
         python3-setuptools,
         python3-voluptuous,
         python3-yaml,
         snapd (>= 2.38~),
         ${misc:Depends},
         ${python3:Depends},
Suggests: qemu-user-static,
Description: toolkit for building Ubuntu images
 .
 This package contains the ubuntu-image library for Python 3.
