## ubuntu-image 1.11+20.10ubuntu1

=== debian/changelog ===
ubuntu-image (1.11+20.10ubuntu1) groovy; urgency=medium

  [ Michael Vogt ]
  * Use "resolved-content" directory provided by newer versions
    of "snap prepare-image". (LP:1636927)
  * SRU tracking number LP: #1920955

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 25 Mar 2021 14:55:14 +0100

ubuntu-image (1.10+20.10ubuntu4) hirsute; urgency=medium

  * Add python3.9 to the test envlists.
  * Minor README fixups and additions, minor test-related compatibility
    changes.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 13 Jan 2021 11:27:53 +0100

ubuntu-image (1.10+20.10ubuntu3) hirsute; urgency=medium

  * setup.py:
    - get the version in a way which is compatible with the current
      python-debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Nov 2020 15:30:53 +0100
