## ubuntu-image 1.11+21.04ubuntu2

=== debian/changelog ===
ubuntu-image (1.11+21.04ubuntu2) hirsute; urgency=medium

  * Refreshed manpage.
  * debian/control: remove the explicit grub-common dependency in
    python3-ubuntu-image.  This was added as a workaround for snapd using
    grub-editenv without an explicit dependency - but since long they switched
    to using a native implementation instead.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 09 Apr 2021 11:14:38 +0200

ubuntu-image (1.11+21.04ubuntu1) hirsute; urgency=medium

  [ Michael Vogt ]
  * Use "resolved-content" directory provided by newer versions
    of "snap prepare-image". (LP: #1636927)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 25 Mar 2021 14:55:14 +0100
