=== debian/control ===
--- 
+++ 
@@ -43,7 +43,6 @@
          dosfstools,
          fdisk | util-linux (<< 2.29.2-3),
          gdisk,
-         grub-common,
          livecd-rootfs (>= 2.480),
          fakeroot,
          mtools (>= 4.0.18-2ubuntu0),
