## ubuntu-image 2.2+22.04ubuntu2

=== debian/changelog ===
ubuntu-image (2.2+22.04ubuntu2) jammy; urgency=medium

  * Fix failing autopkgtests:
    - Restrict test using snap prepare-image --arch=amd64 to only run on amd64
    - Increase size of 4k volume to have enough sectors to be valid fat32

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 10:49:05 -0500

ubuntu-image (2.2+22.04ubuntu1) jammy; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Allow for no fstab in the rootfs for classic image builds.

  [ William 'jawn-smith' Wilson ]
  * Fix use of --snap flag with the --filesystem flag (LP: #1958275)
  * Fix bug with attempting to create partition with no content
  * Fix edge cases with custom gadget.yaml (LP: #1968205)

  [ Alfonso Sanchez-Beato ]
  * Add support for the piboot bootloader (LP: #1965585)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Mar 2022 17:15:10 +0100

ubuntu-image (2.1+22.04ubuntu3) jammy; urgency=medium

  * Update tests to reflect changes in the hello snap

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 13 Jan 2022 22:40:24 -0600

ubuntu-image (2.1+22.04ubuntu2) jammy; urgency=medium

  * Create rootfs partitions with OffsetWrite nil instead of zero
    (LP: #1954850)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 14 Dec 2021 17:13:45 -0600

ubuntu-image (2.1+22.04ubuntu1) jammy; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Make sure the generated disk IDs are unique.
  * Add support for specifying a disk sector-size to use while building the
    images (LP: #1942416)

  [ William 'jawn-smith' Wilson ]
  * Pull in upstream change from go-diskfs to fix integer overflows on armhf
    (LP: #1949208)
  * Add logic to name system-data partitions "writable" if a name isn't
    specified (LP: #1951334)
  * Fix logic for filesystem labeling in /etc/fstab (LP: #1950677)
  * Add --validation flag (LP: #1933665)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Tue, 02 Nov 2021 12:57:01 -0500

ubuntu-image (2.0+22.04ubuntu3) jammy; urgency=medium

  * Disable some tests on some architectures. This resolves failures
    caused by snaps not being available on certain architectures, and 
    a few other scenarios where not every test is applicable.

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Fri, 22 Oct 2021 15:35:18 -0500

ubuntu-image (2.0+22.04ubuntu2) jammy; urgency=medium

  * go.mod: use git-meta tag for snapcore/bolt to pull in latest
    riscv64 changes. Resolves riscv64 build failure.

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Thu, 21 Oct 2021 09:32:10 -0500

ubuntu-image (2.0+22.04ubuntu1) jammy; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Re-write ubuntu-image in Go to improve integration with snapd
    - Remove -o / --output option that has been deprecated for years
    - The command line option --hooks-directory must now be specified
      once per hooks directory, rather than a comma separated list.
    - ubuntu-image no longer defaults to the 'snap' subcommand and requires
      specifying the exact build mode to use.

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control: as we're replacing the python ubuntu-image version,
    force removal of the no-longer used python3-ubuntu-image via a Conflicts
    stanza.

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Mon, 26 Apr 2021 15:33:22 -0500
