=== debian/tests/control ===
Tests: run-tests
Restrictions: needs-root, isolation-machine, allow-stderr
Depends: @builddeps@,
         qemu-user-static [!ppc64el !s390x]
