## ubuntu-image 2.2+22.04ubuntu3

=== debian/changelog ===
ubuntu-image (2.2+22.04ubuntu3) jammy; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Add lintian overrides for test files

  [ Maciej Borzecki ]
  * Pull in a newer snapd version and load snaps from all modes (LP: #1969979)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 16:28:11 -0500
