=== debian/changelog ===
ubuntu-image (2.2+22.04ubuntu3.22.04.2) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 17:41:43 +0000
