## ubuntu-image 2.2+22.04ubuntu3.22.10.1

=== debian/changelog ===
ubuntu-image (2.2+22.04ubuntu3.22.10.1) kinetic-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 28 Apr 2023 12:53:12 +0530
