## ubuntu-image 2.2+22.10ubuntu2

=== debian/changelog ===
ubuntu-image (2.2+22.10ubuntu2) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:18:43 +1200
