## ubuntu-image 2.2+22.10ubuntu2.1

=== debian/changelog ===
ubuntu-image (2.2+22.10ubuntu2.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 01 Feb 2024 14:08:15 +0530
